.contact-btn{
    background-color: $primary;
    border: none;
    color: #ffffff;
    padding: 10px 15px;
    border-radius: 7.5px;
    position: fixed;
    bottom: 35px;
    right: calc(50% - 45px);
    text-align: center;
    &:hover{
        cursor: pointer;
        background: lighten($primary, 10%);
    }
    &:focus{
        cursor: pointer;
        background: lighten($primary, 10%);
    }
    @include lg{
        position: initial;
        grid-area: 1 / 1 / 2 / 2;
        height: max-content;
        width: max-content;
        justify-self: flex-end;
        align-self: center;
    }
}
// General
.bground{
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
    background-color: rgba(122, 122, 122, 0.4);
}
.content{
    margin: auto;
    width: 95%;
    max-width: 450px;
    animation-name: modalopen;
    animation-duration: 500ms;
    background: $tertiary;
    border-radius: 5px;
    overflow: hidden;
    position: relative;
    color: #fff;
}
@keyframes modalopen{
    from {
      opacity: 0;
      transform: translateY(-150px);
    }
    to {
      opacity: 1;
    }
}
.modal-body{
    padding: 30px;
    margin: auto;
}
#form-title{
    color: #000000;
    margin-bottom: 15px;
}
.formData{
    margin-bottom: 20px;
}
label{
    color: #312E2E;
    font-size: 1.25em;
    font-weight: 500;
    display: inline-block;
}
input{
    padding: 8px;
    border: 0.8px solid #fff;
    outline: none;
}
textarea{
    border: 0.8px solid #fff;
    min-height: 100px;
}
.text-control{
    margin: 0;
    padding: 8px;
    width: 100%;
    border-radius: 8px;
    font-size: 20px;
    height: 48px;
    &:focus{
        border: solid 2px $secondary;
    }
}

/* CLOSE BTN */
.close{
    position: absolute;
    top: 30px;
    right: 30px;
    cursor: pointer;
    font-size: 2.5em;
    color: #fff;
    height: 0;
    border: 0;
    background: none;
    &:hover{
        color: lighten($primary, 20%);
    }
    &:focus{
        color: lighten($primary, 20%);
    }
}

#btn-submit, #btn-close{
    background: lighten($primary, 10%);
    display: block;
    margin: 0 auto;
    border-radius: 7px;
    font-size: 1rem;
    padding: 12px 82px;
    color: #fff;
    cursor: pointer;
    border: 0;
    &:hover{
        background: lighten($primary, 20%);
    }
    &:focus{
        background: lighten($primary, 20%);
    }
}


/* ERROR STYLES */
.formData[data-error]::after {
    content: attr(data-error);
    font-size: 0.8em;
    font-weight: 600;
    color: lighten($primary, 10%);
    display: block;
    margin-top: 7px;
    margin-bottom: 7px;
    text-align: right;
    line-height: 0.9;
    opacity: 0;
    transition: 0.3s;
}
.formData[data-error-visible="true"]::after {
    opacity: 1;
}
.formData[data-error-visible="true"] .text-control {
    border: 2px solid lighten($primary, 10%);
}

/* Modal after success validation */
#msg-success{
    display: none;
    margin: 75px auto 75px auto;
    color: #fff;
    font-size: 2rem;
    text-align: center;
    width: 80%;
}
#btn-close{
    display: none;
    margin: auto;
}